<template>
  <NuxtLink
    v-if="!isExternal"
    :to="localePath(path)"
    :class="internalLink"
  >
    {{ name }}
  </NuxtLink>
  <a
    v-else
    target="_blank"
    rel="noopener noreferrer"
    :href="path"
    :class="externalLink"
  >
    {{ name }}
  </a>
</template>

<script lang='ts'>
import Vue from 'vue'

export default Vue.extend({
  props: {
    isMobile: { type: Boolean, default: false },
    isExternal: { type: Boolean, default: false },
    path: { type: String, default: '' },
    name: { type: String, default: '' }
  },
  computed: {
    internalLink():string {
      return this.isMobile ? '' : 'flex content-center btn btn-secondary btn-sm rounded-btn p-6 text-lg'
    },
    externalLink():string {
      return this.isMobile ? '' : 'flex content-center btn btn-outline btn-accent btn-sm rounded-btn p-6 text-lg'
    }
  }
})
</script>
